/* CSS Reset */
* {
    margin: 0px;
    padding: 0px;
}

/* index.html */
/* herobanner */
.herobanner {
    margin-top: 70px !important;
    margin-bottom: 70px !important;
}

/* responsive-styles */
@media (max-width: 1200px) {
    .herobanner {
        gap: 24px;
    }
}

@media (max-width: 1024px) {
    .heroleft {
        max-width: 400px !important;
    }

    .heroleft-head {
        font-size: 44px !important;
    }
}

@media (max-width: 768px) {
    .herobanner {
        flex-direction: column;
    }

    .heroleft {
        max-width: 100% !important;
    }

    .heroleft-head {
        font-size: 60px !important;
    }

    .heroright-img {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .heroright-img img {
        max-width: 300px;
    }
}

@media (max-width: 605px) {
    .heroleft-head {
        font-size: 48px !important;
    }
}

@media (max-width: 505px) {
    .heroleft-head {
        font-size: 40px !important;
    }
}

@media (max-width: 425px) {
    .herobanner {
        margin-top: 35px !important;
        margin-bottom: 35px !important;
    }

    .heroright-img img {
        max-width: 250px;
    }
}

/* about-me */
.expertise-section {
    background: #F0F1F3;
    position: relative;
}

.card {
    border-radius: 10px;
}

.about-card {
    max-width: 1000px;
    margin: 0 auto;
    border-radius: 12px;
}

.icon {
    font-size: 2rem;
    width: 60px;
}

@media (max-width: 768px) {
    .expertise-section {
        margin-top: 350px !important;
    }
}

/* portfolio */
.card-custom {
    border-radius: 20px;
    background: #F0F1F3;
    display: flex;
    justify-content: space-between;
    padding: 40px;
    padding-bottom: 0px;
    margin-bottom: 20px;
    width: 100%;
}

.card-custom h1 {
    color: #A53DFF;
    font-weight: 600;
}

.card-custom .content {
    max-width: 550px;
}

.overview-title {
    font-weight: 600;
    margin-top: 1.5rem;
}

.tech-title {
    font-weight: 600;
    margin-top: 1.5rem;
}

.website-link {
    text-decoration: none;
    color: #556070;
}

.arrow-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    font-size: 20px;
    border: 1px solid #A53DFF;
    cursor: pointer;
    transition: all 0.3s ease;
}

.arrow-icon.active {
    background-color: #A53DFF;
    color: #fff;
}

.arrow-icon.inactive {
    background-color: #fff;
    color: #000;
}

/* responsive styles */
@media (max-width: 1200px) {
    .portfolio-section {
        margin-left: 35px !important;
        margin-right: 35px !important;
    }
}

@media (max-width: 1060px) {
    .card-custom {
        flex-direction: column;
    }

    .image-container {
        margin-top: 2rem;
    }
}

@media (max-width: 425px) {
    .portfolio-section {
        margin-left: 15px !important;
        margin-right: 15px !important;
    }

    .card-custom {
        padding: 25px !important;
        padding-bottom: 0px !important;
    }
}

/* contact */
.contact-section {
    background: #2B384C;
    position: relative;
    padding-top: 100px;
    padding-bottom: 50px;
}

.contact-card {
    max-width: 1200px;
    margin: 0 auto;
    margin-top: -525px;
    border-radius: 12px;
}

.social-contact {
    background: #fff;
}

.submit-btn {
    background: #A53DFF;
    color: white;
}

.submit-btn:hover {
    background: #9136e0;
    color: white;
}

/* responsive styles */
@media (max-width: 768px) {
    .contact-card {
        margin-top: -800px !important;
    }

    .contact-section {
        margin-top: 800px !important;
    }
}

@media (max-width: 425px) {
    .contact-section {
        margin-top: 800px !important;
    }
}

@media (max-width: 360px) {
    .contact-card {
        margin-top: -875px !important;
    }

    .contact-section {
        margin-top: 850px !important;
    }
}